> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace app environment variables



## OpenAPI

````yaml /openapi.json put /api/apps/{appId}/env
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/{appId}/env:
    put:
      tags:
        - Applications
      summary: Replace app environment variables
      operationId: putApiAppsByAppIdEnv
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                envVars:
                  type: object
                  additionalProperties:
                    type: string
              required:
                - envVars
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                envVars:
                  type: object
                  additionalProperties:
                    type: string
              required:
                - envVars
          multipart/form-data:
            schema:
              type: object
              properties:
                envVars:
                  type: object
                  additionalProperties:
                    type: string
              required:
                - envVars
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````